View Issue Details

IDProjectCategoryView StatusLast Update
0033735LazarusIDEpublic2018-06-02 23:30
ReporterPascal Riekenberg Assigned ToMichl  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformi386OSWindows 10 x64 
Product Version1.9 (SVN) 
Target Version1.10 
Summary0033735: Double click on entry in call stack window opens popup
DescriptionDouble click on entry in call stack window opens popup
Steps To ReproduceSet breakpoint.
Debug a project, run to breakpoint.
Double click on an entry in call stack window.
-> Source line will be shown and popup apears.
Additional Informationfpc trunk
TagsNo tags attached.
Fixed in Revision57942
LazTarget-
WidgetsetWin32/Win64
Attached Files

Relationships

related to 0033330 closedMichl Packages Mouse events do not fire properly when MultiSelect = True on TListView of win32/64 
related to 0033746 closedMichl Lazarus ListView PopupMenu shown twice 
related to 0033811 resolvedMartin Friebe Lazarus Listview: DragMode dmAutomatic does not function with Multiselect enabled 

Activities

Bart Broersma

2018-05-15 13:04

developer   ~0108310

And the expected behaviour would be: ?
(I.o.w. why is this a bug?)

Ondrej Pokorny

2018-05-15 13:33

developer   ~0108312

> And the expected behaviour would be:

I assume no popup. Why should the popup menu be shown?

Pascal Riekenberg

2018-05-15 14:13

developer   ~0108314

Right, a popup menu should not be shown on (left) double click

Michl

2018-05-15 16:08

developer   ~0108317

Last edited: 2018-05-15 16:10

View 2 revisions

It was me, I wanted to much, see related issue. If you doubleclick in a empty area, as last event a OnMouseUp is fired, on a item not. So I "fixed" it with the other issues. I changed it back (no OnMouseUp is fired, after item doubleclick).

Fixed in trunk revision 57942. Please test and close if ok.

Pascal Riekenberg

2018-05-15 21:41

developer   ~0108319

Okay, works

Issue History

Date Modified Username Field Change
2018-05-15 09:44 Pascal Riekenberg New Issue
2018-05-15 13:04 Bart Broersma Note Added: 0108310
2018-05-15 13:04 Bart Broersma LazTarget => -
2018-05-15 13:04 Bart Broersma Status new => feedback
2018-05-15 13:33 Ondrej Pokorny Note Added: 0108312
2018-05-15 14:13 Pascal Riekenberg Note Added: 0108314
2018-05-15 14:13 Pascal Riekenberg Status feedback => new
2018-05-15 15:35 Michl Assigned To => Michl
2018-05-15 15:35 Michl Status new => assigned
2018-05-15 15:36 Michl Relationship added related to 0033330
2018-05-15 16:08 Michl Fixed in Revision => 57942
2018-05-15 16:08 Michl Note Added: 0108317
2018-05-15 16:08 Michl Status assigned => resolved
2018-05-15 16:08 Michl Resolution open => fixed
2018-05-15 16:08 Michl Target Version => 1.10
2018-05-15 16:09 Michl Status resolved => assigned
2018-05-15 16:09 Michl Resolution fixed => reopened
2018-05-15 16:10 Michl Note Edited: 0108317 View Revisions
2018-05-15 16:10 Michl Status assigned => resolved
2018-05-15 16:10 Michl Resolution reopened => fixed
2018-05-15 21:41 Pascal Riekenberg Note Added: 0108319
2018-05-15 21:41 Pascal Riekenberg Status resolved => closed
2018-05-16 17:47 Ondrej Pokorny Relationship added related to 0033746
2018-06-02 23:30 Michl Relationship added related to 0033811